package main;

import mailsystem.*;

/*
 * Created 2005-nov-21
 * Changed 2008-09-08
 */

/**
 * @author holmer
 *
 * A simple main program for the mail system example
 */
public class Main {

	public static void main(String[] args) {
		MailServer server = new MailServer();
		MailClient nisseClient = new MailClient( server, "Nisse" ),
		           bosseClient = new MailClient( server, "Bosse" );
        
		nisseClient.sendMessage( "Bosse", "Hej Bosse! /Nisse" );
		bosseClient.printNextMailItem();	
		bosseClient.sendMessage( "Nisse", "Hej sjlv! /Bosse" );
		nisseClient.printNextMailItem();
	}
}
